import { AccountAuthenticator, AccountInfo, AdapterWallet, AnyRawTransaction, AptosSignAndSubmitTransactionOutput, InputTransactionData, NetworkInfo, AptosSignMessageInput, AptosSignMessageOutput, AdapterNotDetectedWallet, Network, AptosChangeNetworkOutput, PendingTransactionResponse, InputSubmitTransactionData, AptosSignInInput, AptosSignInOutput } from "@aptos-labs/wallet-adapter-core";
export interface WalletContextState {
    connected: boolean;
    isLoading: boolean;
    account: AccountInfo | null;
    network: NetworkInfo | null;
    connect(walletName: string): void;
    signIn(args: {
        walletName: string;
        input: AptosSignInInput;
    }): Promise<AptosSignInOutput | void>;
    signAndSubmitTransaction(transaction: InputTransactionData): Promise<AptosSignAndSubmitTransactionOutput>;
    signTransaction(args: {
        transactionOrPayload: AnyRawTransaction | InputTransactionData;
        asFeePayer?: boolean;
    }): Promise<{
        authenticator: AccountAuthenticator;
        rawTransaction: Uint8Array;
    }>;
    signMessage(message: AptosSignMessageInput): Promise<AptosSignMessageOutput>;
    signMessageAndVerify(message: AptosSignMessageInput): Promise<boolean>;
    disconnect(): void;
    changeNetwork(network: Network): Promise<AptosChangeNetworkOutput>;
    submitTransaction(transaction: InputSubmitTransactionData): Promise<PendingTransactionResponse>;
    wallet: AdapterWallet | null;
    wallets: ReadonlyArray<AdapterWallet>;
    notDetectedWallets: ReadonlyArray<AdapterNotDetectedWallet>;
}
export declare const WalletContext: import("react").Context<WalletContextState>;
export declare function useWallet(): WalletContextState;
//# sourceMappingURL=useWallet.d.ts.map